package de.ivu.elect.presentation.veranstaltung.action;

import java.util.ArrayList;
import java.util.List;

import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.business.veranstaltung.entity.Veranstaltung;
import de.ivu.elect.jee.presentation.action.AbstractActionMenuModelBuilder;
import de.ivu.elect.jee.presentation.action.ActionEntry;

@Named(VeranstaltungActionMenu.COMPONENT_NAME)
public class VeranstaltungActionMenu extends AbstractActionMenuModelBuilder<Veranstaltung> {
  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "veranstaltungActionMenu";

  @Inject
  VeranstaltungTeilnehmerAnzeigenAction veranstaltungTeilnehmerAnzeigenAction;


  @Inject
  protected VeranstaltungEditAction editAction;


  @Inject
  protected VeranstaltungDeleteAction deleteAction;

  @Override
  protected List<ActionEntry<Veranstaltung>> getActionEntriesSorted() {
    List<ActionEntry<Veranstaltung>> result = new ArrayList<>();

    result.add(veranstaltungTeilnehmerAnzeigenAction);
    result.add(editAction);
    result.add(deleteAction);

    return result;
  }
}


